MapContext (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.MapContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2
Class MapContext

    java.lang.Object
      org.apache.commons.jexl2.MapContext

All Implemented Interfaces:
  JexlContext

    public class MapContext

extends java.lang.Object
implements JexlContext

Wraps a map in a context.

Each entry in the map is considered a variable name, value pair.

Field Summary
`protected java.util.Map<java.lang.String,java.lang.Object>` | `map` The wrapped variable map.

Constructor Summary
`MapContext()` Creates a MapContext on an automatically allocated underlying HashMap.
`MapContext(java.util.Map<java.lang.String,java.lang.Object> vars)` Creates a MapContext wrapping an existing user provided map.

Method Summary
`java.lang.Object` | `get(java.lang.String name)` Gets the value of a variable.
`boolean` | `has(java.lang.String name)` Checks whether a variable is defined in this context.
`void` | `set(java.lang.String name, java.lang.Object value)` Sets the value of a variable.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    protected final java.util.Map<java.lang.String,java.lang.Object> map

  The wrapped variable map.

Constructor Detail

### MapContext

    public MapContext()

  Creates a MapContext on an automatically allocated underlying HashMap.

### MapContext

    public MapContext(java.util.Map<java.lang.String,java.lang.Object> vars)

  Creates a MapContext wrapping an existing user provided map.

  Parameters:
    `vars` - the variable map

Method Detail

### has

    public boolean has(java.lang.String name)

  Checks whether a variable is defined in this context.

  A variable may be defined with a null value; this method checks whether the value is null or if the variable is undefined.

  Specified by:
    `has` in interface `JexlContext`
  Parameters:
    `name` - the variable's name
  Returns:
    true if it exists, false otherwise

### get

    public java.lang.Object get(java.lang.String name)

  Gets the value of a variable.

  Specified by:
    `get` in interface `JexlContext`
  Parameters:
    `name` - the variable's name
  Returns:
    the value

### set

    public void set(java.lang.String name,
                    java.lang.Object value)

  Sets the value of a variable.

  Specified by:
    `set` in interface `JexlContext`
  Parameters:
    `name` - the variable's name
    `value` - the variable's value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.